> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# Manage accounting integrations

## Check for an active accounting connection

Before configuring a new accounting connection for an entity, make sure this entity has no other existing accounting connections that are active at the moment. For this purpose, call `GET /accounting_connections` with the `X-Monite-Entity-Id` header containing the entity ID:

```sh
curl 'https://api.sandbox.monite.com/v1/accounting_connections' \
  -H 'X-Monite-Version: 2024-05-25' \
  -H 'X-Monite-Entity-Id: ENTITY_ID' \
  -H 'Authorization: YOUR_PARTNER_TOKEN'
```

If there are no other active connections set up for this entity, you will receive a `200 OK` response with an empty `data` array:

```json
{
  "data": []
}
```

## Trigger accounting synchronization

By default, Monite automatically synchronizes the entity's data in our database with the data in the entity's accounting system every hour. However, entities can also trigger an instant synchronization when needed. To do this, call `POST /accounting_connections/{connection_id}/sync`:

```sh
curl -X POST 'https://api.sandbox.monite.com/v1/accounting_connections/{connection_id}/sync' \
  -H 'X-Monite-Version: 2024-05-25' \
  -H 'X-Monite-Entity-Id: ENTITY_ID' \
  -H 'Authorization: Bearer YOUR_PARTNER_TOKEN'
```

The `202 Accepted` response is returned if the request is successful.

## Disconnect an accounting system \[#disconnect]

To disconnect an already established accounting connection, call [`POST /accounting_connections/{id}/disconnect`](/api/accounting-connections/post-accounting-connections-id-disconnect):

```sh
curl -X POST 'https://api.sandbox.monite.com/v1/accounting_connections/{id}/disconnect' \
  -H 'X-Monite-Version: 2024-05-25' \
  -H 'X-Monite-Entity-Id: ENTITY_ID' \
  -H 'Authorization: Bearer YOUR_PARTNER_TOKEN'
```

The successful `200 OK` response contains `"status": "disconnected"`:

```json
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f76afa6",
  "status": "disconnected",
  "platform": "xero",
  "created_at": "2023-04-02T13:11:53.250Z",
  "updated_at": "2023-04-02T13:11:53.250Z",
  "last_pull": "2023-04-02T13:11:53.250Z",
  "errors": null
}
```

## Check synchronization logs

You can obtain an overview of all the synchronization events between Monite and the accounting system in a list. When the synchronization is successful, the status and IDs of records from both systems will be returned. If not, an error status with details will be returned instead.

To get a list with all the sync records, call [`GET /accounting_synced_records`](/api/accounting-synchronized-records/get-accounting-synced-records). Filtering the results by the `object_type` is **mandatory**. For example, `GET /accounting_synced_records?object_type=bill` will get all the sync records for bills (payables).

```sh
curl -X GET 'https://api.sandbox.monite.com/v1/accounting_synced_records?object_type=bill' \
  -H 'X-Monite-Version: 2024-05-25' \
  -H 'X-Monite-Entity-Id: ENTITY_ID' \
  -H 'Authorization: Bearer YOUR_PARTNER_TOKEN'
```

You can refine the request to get information about a specific object by adding the `object_id` query parameter to the request, for example:

```
GET /accounting_synced_records?object_type=bill&object_id=342d33a5-e89f-4a90-8c68-7da318ad4d88
```

> **Info**
>
> For the full list of available sort and filter parameters, see the [`GET /accounting_synced_records`](/api/accounting-synchronized-records/get-accounting-synced-records) endpoint.

This successful response returns a synchronization object that includes the `sync_status` and `errors` fields, representing the synchronization status and information about any errors, respectively.

```json
{
  "data": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "created_at": "2024-03-05T15:14:14.728Z",
      "updated_at": "2024-03-05T15:14:14.728Z",
      "errors": {},
      "last_pulled_at": "2024-03-05T15:14:14.728Z",
      "object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "object_type": "product",
      "object_updated_at": "2024-03-05T15:14:14.728Z",
      "platform": "xero",
      "platform_object_id": "18cb53c4-3807-4a5a-8da9-303053a40002",
      "platform_updated_at": "2024-03-05T15:14:14.728Z",
      "provider": "railz",
      "provider_object_id": "58e1d32f-a092-438a-bffb-3bf6af9ba8ec",
      "provider_updated_at": "2024-03-05T15:14:14.728Z",
      "sync_status": "pending"
    }
  ],
  "next_pagination_token": "eyJvcmRlciI6ImFzYyIsImxpbWl0IjoyLCJwYWdpbmF0aW9uX2ZpbHRlcnMiOnsiZW50aXR5X2lkIjoiOWQyYjRjOGYtMjA4Ny00NzM4LWJhOTEtNzM1OTY4M2M0OWE0In0sInBhZ2luYXRpb25fdG9rZW5fdHlwZSI6Im5leHQiLCJjdXJzb3JfZmllbGQiOm51bGwsImN1cnNvcl9maWVsZF92YWx1ZSI6bnVsbCwiY3VycmVudF9vaWQiOjR9",
  "prev_pagination_token": null
}
```

You can get the details about a specific record by sending a `GET` request to the  [`/accounting_synced_records/{synced_record_id}`](/api/accounting-synchronized-records/get-accounting-synced-records-id) endpoint.

## List documents in the accounting system

You can list all invoices and payables (bills) that exist in the entity's connected accounting system without the need to pull those documents into Monite, so you can implement custom document comparison and synchronization logic:

* [`GET /accounting/receivables`](/api/accounting-data-pull/get-accounting-receivables) - to list all invoices
* [`GET /accounting/receivables/{invoice_id}`](/api/accounting-data-pull/get-accounting-receivables-id) - to retrieve a specific invoice
* [`GET /accounting/payables`](/api/accounting-data-pull/get-accounting-payables) - to list all payables (bills)
* [`GET /accounting/payables/{payable_id}`](/api/accounting-data-pull/get-accounting-payables-id)- to retrieve a specific payable (bill)

## Accounting tax rates

### Retrieve accounting tax rates

When pushing an invoice to an accounting system, Monite tries to map the applicable tax rates used in the invoice to the tax rates available in the entity's accounting system. Entities can retrieve the available tax rates from the accounting system to ensure that they match either the `tax_rate_value` or `vat_rate_id` fields in the invoice line items. To do this, call `GET /accounting_tax_rates`:

```sh
curl -X GET 'https://api.sandbox.monite.com/v1/accounting_tax_rates' \
  -H 'X-Monite-Version: 2024-05-25' \
  -H 'X-Monite-Entity-Id: ENTITY_ID' \
  -H 'Authorization: Bearer YOUR_PARTNER_TOKEN'
```

The response returns the list of tax rates available in the entity's accounting system. Any VAT rates that are used in the invoice line items and are missing from the entity's accounting system must be created manually by the entity in their accounting system.

### Internal accounting tax rates

In addition to tax rates retrieved from your connected accounting system, Monite allows you to create and manage custom tax rates internally. Custom tax rates created in Monite have the  `is_external` field set as `false`.

#### Create an internal tax rate

If your entity needs a tax rate that does not exist in the connected accounting system, you can create a custom tax rate calling `POST /accounting_tax_rates`:

```sh
curl -X POST 'https://api.sandbox.monite.com/v1/accounting_tax_rates' \
  -H 'X-Monite-Version: 2024-05-25' \
  -H 'X-Monite-Entity-Id: ENTITY_ID' \
  -H 'Authorization: Bearer YOUR_PARTNER_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "Reduced VAT",
    "code": "RED_VAT",
    "description": "Reduced VAT rate for specific goods"
  }'
```

The successful `201` response returns the newly created tax rate:

```json
{
  "id": "4gb96g75-6828-5673-c4gd-3d074g87bgb7",
  "name": "Reduced VAT",
  "code": "RED_VAT", 
  "description": "Reduced VAT rate for specific goods",
  "effective_tax_rate": 0,
  "created_at": "2024-03-05T16:20:57.066Z",
  "updated_at": "2024-03-05T16:20:57.066Z",
  "is_external": false
}
```

> **Info**
>
> Custom tax rates created in Monite (`is_external = false`) can be used in invoices but may need to be manually created in your accounting system if they do not already exist there.

#### Retrieve internal tax rates

To get all available internal tax rates for an entity, call `GET /accounting_tax_rates?is_external=false`. To get details about a specific tax rate, call `GET /accounting_tax_rates/{tax_rate_id}`.

#### Edit an internal tax rate

You can update the details of an existing tax rate using `PATCH /accounting_tax_rates/{tax_rate_id}`:

```sh
curl -X PATCH 'https://api.sandbox.monite.com/v1/accounting_tax_rates/{tax_rate_id}' \
  -H 'X-Monite-Version: 2024-05-25' \
  -H 'X-Monite-Entity-Id: ENTITY_ID' \
  -H 'Authorization: Bearer YOUR_PARTNER_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "description": "Updated description for the VAT rate"
  }'
```

> **Warning**
>
> Updating tax rates may affect existing invoices and documents that reference these rates. Consider the impact on historical data before making changes.

#### Delete an internal tax rate

To delete a tax rate, call `DELETE /accounting_tax_rates/{tax_rate_id}`.

> **Warning**
>
> Before deleting a tax rate, ensure it is not being used by any existing invoices or documents. Deleting a tax rate that is in use may cause synchronization issues with your accounting system.

## Retry pushing data

You can manually retry a failed sync to the accounting system in cases where errors occur during the attempt by calling [`POST /accounting_synced_records/{synced_record_id}/push`](/api/accounting-synchronized-records/post-accounting-synced-records-id-push). The `synced_record_id` of the failed sync can be obtained in the [synchronization log](#check-synchronization-logs):

```sh
curl -X POST 'https://api.sandbox.monite.com/v1/accounting_synced_records/{synced_record_id}/push' \
  -H 'X-Monite-Version: 2024-05-25' \
  -H 'X-Monite-Entity-Id: ENTITY_ID' \
  -H 'Authorization: Bearer YOUR_PARTNER_TOKEN'
```

The successful response returns the information of the retried sync:

```json
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "created_at": "2024-03-05T16:20:57.066Z",
  "updated_at": "2024-03-05T16:20:57.066Z",
  "errors": {},
  "last_pulled_at": "2024-03-05T16:20:57.066Z",
  "object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "object_type": "product",
  "object_updated_at": "2024-03-05T16:20:57.066Z",
  "platform": "xero",
  "platform_object_id": "18cb53c4-3807-4a5a-8da9-303053a40002",
  "platform_updated_at": "2024-03-05T16:20:57.066Z",
  "provider": "railz",
  "provider_object_id": "58e1d32f-a092-438a-bffb-3bf6af9ba8ec",
  "provider_updated_at": "2024-03-05T16:20:57.066Z",
  "sync_status": "pending"
}
```